<mat-card>
    <mat-card-header>
        <mat-card-title class="title">اطلاعات کاربران
            <button mat-mini-fab color="primary" [routerLink]="['/user/new']">
        <mat-icon>add</mat-icon>
      </button>

        </mat-card-title>
    </mat-card-header>
    <mat-card-content>
        <div class="grid-wrapper">
            <kendo-grid [data]="query | async" [pageSize]="state.take" [skip]="state.skip" [sort]="state.sort" [sortable]="{ mode: 'multiple' }" [pageable]="{
      buttonCount: buttonCount,
      info: info,
      type: type,
      pageSizes: pageSizes,
      previousNext: previousNext
    }" [scrollable]="'scrollable'" [filterable]="true" [filter]="state.filter" [resizable]="true" (dataStateChange)="dataStateChange($event)" [height]="450">
                <!-- [groupable]="{ showFooter: true }" [group]="state.group" [filterable]="true" [filter]="state.filter" -->
                <!-- <kendo-grid-column field="user_ID" title="سریال" width="40">
        </kendo-grid-column> -->
                <!-- <a mat-mini-fab [routerLink]="['/user/', dataItem.user_ID]">ویرایش</a> -->
                <kendo-grid-command-column title="ع" width="50" [resizable]="false" [locked]="true">
                    <ng-template kendoGridCellTemplate let-dataItem="dataItem">
                        <button mat-icon-button>
              <mat-icon [routerLink]="['/user/', dataItem.user_ID]" color="accent">create</mat-icon>
            </button>
                    </ng-template>
                </kendo-grid-command-column>
                <kendo-grid-column field="user_Fname" title="نام" width="100">
                </kendo-grid-column>
                <kendo-grid-column field="user_Lname" title="نام خانوادگی" width="100">
                </kendo-grid-column>
                <kendo-grid-column field="username" title="نام کاربری" width="100">
                </kendo-grid-column>

                <kendo-grid-column field="office.office_Name" title="اداره" width="100">
                    <ng-template kendoGridCellTemplate let-dataItem let-rowIndex="rowIndex">
                        {{dataItem.office.office_Name}} {{dataItem.office.office_Code}}
                    </ng-template>
                </kendo-grid-column>
                <kendo-grid-column field="isActive" title="فعال" width="120" filter="boolean">
                    <ng-template kendoGridCellTemplate let-dataItem>
                        <!-- <input type="checkbox" [checked]="dataItem.isActive" disabled/> -->
                        <mat-checkbox id="isActive" [checked]="dataItem.isActive" disabled></mat-checkbox>
                    </ng-template>
                </kendo-grid-column>
                <kendo-grid-column field="lastLoggedIn" title="آخرین تاریخ ورود" width="100">
                    <ng-template kendoGridCellTemplate let-dataItem let-rowIndex="rowIndex">
                        {{dataItem.lastLoggedIn | momentJalaali:'hh:mm jYYYY/jMM/jDD ' }}
                        <!-- {{dataItem.lastLoggedIn | momentJalaali:'jD jMMMM jYYYY [ساعت] LT'}} -->
                    </ng-template>
                </kendo-grid-column>
                <!-- <kendo-grid-checkbox-column field="isActive" title="فعال" width="100"></kendo-grid-checkbox-column> -->
                <kendo-grid-messages pagerPage="صفحه" pagerOf="از" pagerItems="مورد" pagerItemsPerPage="تعداد مورد در هر صفحه">
                </kendo-grid-messages>
            </kendo-grid>
            <div *ngIf="loading" class="k-i-loading"></div>
        </div>
    </mat-card-content>
</mat-card>